Subject: unable to configure the client authentication,why?

From: "zhongduhang" <[email-masked]>
Date: Mon, 28 Jan 2002 10:44:21 +0800 (CST)

Dear all:
     I have installed apache+mod_ssl+openssl on the windows 2000,and I also create the server cert and key,and the apache with openssl can works well.
but when I want to configure the client authentication,it can not start.
my configure looks like:
    SSLMutex sem
    SSLRandomSeed startup builtin
    SSLSessionCache none

    SSLLog logs/SSL.log
    SSLLogLevel debug

    SSLVerifyClient requie
    SSLVerifyDepth 2
    SSLCACertificateFile conf/ssl/cacert.der

    <VirtualHost 172.26.3.11:443>
    SSLEngine On
    SSLCertificateFile conf/ssl/server.der
    SSLCertificateKeyFile conf/ssl/server2.key
    </VirtualHost>

and when I look the error log ,the ssl.log looks like:
   Init: Generating temporary RSA private keys (512/1024 bits)
   Init: Configuring temporary DH parameters (512/1024 bits)
   Init: Seeding PRNG with 136 bytes of entropy
   Init: Configuring temporary RSA private keys (512/1024 bits)
   Init: Configuring temporary DH parameters (512/1024 bits)
   Init: Initializing (virtual) servers for SSL
   Init: Configuring server bigworm:443 for SSL protocol
   Init: (bigworm:443) Creating new SSL context (protocols: SSLv2, SSLv3, TLSv1)
   Init: (bigworm:443) Configuring client authentication
  [error] Init: (bigworm:443) Unable to configure verify locations for      client    authentication

=============================================================
http://news.163.com/editor/etalk.html   ����������������˵
http://love.163.com   ���컨�Ὺ���к�Ů��Ҫ������
http://vip.163.com   ����VIP���� 30������
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]